#
# spec file for package transactional-update
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           transactional-update
Version:        1.15
Release:        1.1
Summary:        Transactional Updates with btrfs and snapshots
License:        GPL-2.0+
Group:          System/Base
Url:            https://github.com/thkukuk/transactional-update
Source:         %{name}-%{version}.tar.bz2
Requires:       logrotate
Requires:       lsof
# psmisc is needed because of fuser
Requires:       psmisc
Recommends:     rebootmgr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  fdupes
%{?systemd_requires}

%description
transactional-update is a tool to update a system in an atomic
way with zypper, btrfs and snapshots.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
%fdupes %{buildroot}%{_mandir}

%pre
%service_add_pre %{name}.service %{name}.timer

%post
%service_add_post %{name}.service %{name}.timer

%preun
%service_del_preun %{name}.service %{name}.timer

%postun
%service_del_postun %{name}.service %{name}.timer

%files
%defattr(-,root,root)
%doc NEWS COPYING
%config(noreplace) %{_sysconfdir}/logrotate.d/transactional-update
%{_unitdir}/transactional-update.service
%{_unitdir}/transactional-update.timer
%{_sbindir}/transactional-update
%{_sbindir}/tu-rebuild-kdump-initrd
%{_mandir}/man8/transactional-update.8%{ext_man}
%{_mandir}/man8/transactional-update.timer.8%{ext_man}
%{_mandir}/man8/transactional-update.service.8%{ext_man}

%changelog
* Thu Jun  1 2017 kukuk@suse.de
- Update to version 1.15
  - Rename option ptf to pkg
  - Add option to set salt grains
* Fri Apr 21 2017 kukuk@suse.de
- Update to version 1.14
  - Fix check of return values of commands in pipes [bsc#1034900]
* Tue Mar 21 2017 kukuk@suse.de
- Update to version 1.12
  - minor bug fixes
* Thu Mar  2 2017 kukuk@suse.de
- Update to version 1.11
  - use --no-allow-vendor-change with "zypper dup"
  - update manual page
* Mon Feb 13 2017 kukuk@suse.de
- Update to version 1.10
  - implement and document rollback option
* Tue Feb  7 2017 kukuk@suse.de
- Update to version 1.9
  - fix umounting of special filesystems and subvolumes
  - fix interactive installation of PTFs [bsc#1023026]
  - fix dependencies of systemd service
* Wed Feb  1 2017 kukuk@suse.de
- Add Requires for lsof and fuser
* Wed Feb  1 2017 kukuk@suse.de
- Update to version 1.8
  - fix references in html docu
  - build kdump initrd if we build standard initrd, too
* Mon Jan 30 2017 kukuk@suse.de
- Update to version 1.7
  - build html docu, too
* Sun Jan 29 2017 kukuk@suse.de
- Update to version 1.6
  - Add support for kdump [bsc#1018098]
* Thu Jan 19 2017 kukuk@suse.de
- Update to version 1.5
  - Install PTFs in interactive mode
  - Sync state file between current and new snapshot
* Tue Jan 17 2017 kukuk@suse.de
- Update to version 1.4
  - Fix wrong error messages
  - More debug output if umount fails
  - Try a second time if umount fails
* Mon Dec 19 2016 kukuk@suse.de
- Update to version 1.3
  - Add initrd option
* Thu Dec 15 2016 kukuk@suse.de
- Do some spec file cleanup
* Mon Dec 12 2016 kukuk@suse.de
- Update to version 1.2
  - suppport ro-subvolume with overlayfs
* Tue Dec  6 2016 kukuk@suse.de
- Update to version 1.1
  - bug fix release
  - implement lock
* Wed Nov 23 2016 kukuk@suse.de
- Update to version 1.0
  - implement and document PTF options
* Mon Nov 21 2016 kukuk@suse.de
- Update to version 0.99
  - Support for rebootmgr
  - Write real manual page
* Mon Nov 21 2016 kukuk@suse.de
- Add empty directory
  /etc/systemd/system/transactional-update.timer.d/
  so to make it easier to override transactional-update.timer
  entries.
* Thu Nov 17 2016 kukuk@suse.de
- Update to version 0.90
  - Finish normal options
  - Implement support for PTFs
* Sun Nov  6 2016 kukuk@suse.com
- Disable restart on update for post install scripts
* Sun Nov  6 2016 kukuk@suse.de
- Implement activating the new snapshot as new root filesystem
* Fri Nov  4 2016 kukuk@suse.de
- Initial version
